<?php

/**
 * Menu without limit level
 *
 * @package MenuWithoutLimitLevel
 * @version 3.0
 * @author davidhs
 * @copyright 2010-2021 by davidhs
 * @license Creative Commons Attribution 3.0 Unported License https://creativecommons.org/licenses/by/3.0/
 */

if (!defined('SMF'))
	die('Hacking attempt...');

// Adds menu buttons.
function mwll_menu_buttons(&$buttons)
{
	global $modSettings;

	if (!empty($modSettings['mwll_code']))
	{
		$mwllMenuButtons = create_function('&$buttons', '
			global $txt, $smcFunc, $scripturl, $modSettings, $user_info; ' .
			$modSettings['mwll_code']
		);
		$mwllMenuButtons($buttons);
	}
}

// Goes through the sub buttons if there are any.
function mwllSetupMenuContextSubButtons($button)
{
	if (!empty($button['sub_buttons']))
	{
		foreach ($button['sub_buttons'] as $key => $subbutton)
		{
			if (empty($subbutton['show']))
				unset($button['sub_buttons'][$key]);
			else
				$button['sub_buttons'][$key] = mwllSetupMenuContextSubButtons($subbutton);
		}
	}

	return $button;
}

?>