<?php

/**
 * Menu without limit level
 *
 * @package MenuWithoutLimitLevel
 * @version 3.0
 * @author davidhs
 * @copyright 2010-2021 by davidhs
 * @license Creative Commons Attribution 3.0 Unported License https://creativecommons.org/licenses/by/3.0/
 */

if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once (dirname(__FILE__) . '/SSI.php');
elseif (!defined('SMF'))
	exit('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

// Installs.
if (empty($context['uninstalling']))
{
	// VOID
}
// Uninstalls.
else
{
	$smcFunc['db_query']('', '
		DELETE FROM {db_prefix}settings
		WHERE variable = {string:variable}',
		array(
			'variable' => 'mwll_code',
		)
	);
}

?>